Bug 154045 - latest ImageMagick build breaks -compress zip
latest ImageMagick build breaks -compress zip
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-04-06 16:14 EDT by Jamie Zawinski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 00:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2005-04-06 16:14:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
With ImageMagick-6.2.0.7-2.fc3, if I do

    convert foo.jpg -compress zip foo.tiff
    tiffinfo foo.tiff | grep Compr

I get

  Compression Scheme: None

With ImageMagick-6.0.7.1-5.fc3, I get

  Compression Scheme: AdobeDeflate

So somehow zip/deflate compression got broken in the latest release.

It's only zip that fails, however: "-compress lzw" and "-compress jpeg"
both work.


Version-Release number of selected component (if applicable):
ImageMagick-6.2.0.7-2.fc3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  as above

Additional info:
Comment 1 Matthias Clasen 2005-04-26 00:15:16 EDT
Fixed in rawhide today, I'll push the FC3 update to testing tomorrow

Note You need to log in before you can comment on or make changes to this bug.